ErrorPage (Apache Tomcat 9.0.121 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: ErrorPage

# Class ErrorPage

java.lang.Object
org.apache.tomcat.util.descriptor.web.XmlEncodingBase
org.apache.tomcat.util.descriptor.web.ErrorPage

All Implemented Interfaces:
  `Serializable`

public class ErrorPage extends XmlEncodingBase implements Serializable
Representation of an error page element for a web application, as represented in a `<error-page>` element in the deployment descriptor.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorPage()`
  Default constructor for ErrorPage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getErrorCode()`
  Returns the error code for which this error page is active.
  `String`
  `getExceptionType()`
  Returns the exception type for which this error page is active.
  `String`
  `getLocation()`
  Returns the context-relative location to handle this error or exception.
  `String`
  `getName()`
  Returns the name of this error page, which is either the exception type or the error code.
  `void`
  `setErrorCode(int errorCode)`
  Set the error code.
  `void`
  `setErrorCode(String errorCode)`
  Set the error code (hack for default XmlMapper data type).
  `void`
  `setExceptionType(String exceptionType)`
  Set the exception type.
  `void`
  `setLocation(String location)`
  Set the location.
  `void`
  `setLocationDecoded(String location)`
  Deprecated.
  This method will be removed in Tomcat 12
  `String`
  `toString()`
  Render a String representation of this object.

  ### Methods inherited from class XmlEncodingBase

  `getCharset, setCharset`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ErrorPage

    public ErrorPage()
    Default constructor for ErrorPage.

- ## Method Details

  - ### getErrorCode

    public int getErrorCode()
    Returns the error code for which this error page is active.
    Returns:
      the error code

  - ### setErrorCode

    public void setErrorCode(int errorCode)
    Set the error code.
    Parameters:
      `errorCode` - The new error code

  - ### setErrorCode

    public void setErrorCode(String errorCode)
    Set the error code (hack for default XmlMapper data type).
    Parameters:
      `errorCode` - The new error code

  - ### getExceptionType

    public String getExceptionType()
    Returns the exception type for which this error page is active.
    Returns:
      the fully qualified exception type name, or `null` if none

  - ### setExceptionType

    public void setExceptionType(String exceptionType)
    Set the exception type.
    Parameters:
      `exceptionType` - The new exception type

  - ### getLocation

    public String getLocation()
    Returns the context-relative location to handle this error or exception.
    Returns:
      the location

  - ### setLocation

    public void setLocation(String location)
    Set the location.
    Parameters:
      `location` - The new location

  - ### setLocationDecoded

    @Deprecated public void setLocationDecoded(String location)
    Deprecated.
    This method will be removed in Tomcat 12
    Set the already URL decoded location.
    Parameters:
      `location` - The new location

  - ### toString

    public String toString()
    Render a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Returns the name of this error page, which is either the exception type or the error code.
    Returns:
      the error page name